<?
/*--------------------------------------------+
| PHP-Fusion 5 - Content Management System    |
|---------------------------------------------|
| author: Nick Jones (Digitanium)  2002-2005 |
| web: http://www.php-fusion.co.uk            |
| email: nick@php-fusion.co.uk                |
|---------------------------------------------|
| Released under the terms and conditions of  |
| the GNU General Public License (Version 2)  |
+--------------------------------------------*/
if (!defined("IN_FUSION") || !checkRights("C")) { header("Location:../../index.php"); exit; }

// Infusion Information
$inf_name = "Banner System";
$inf_version = "2";
$inf_author = "AusiMods";
$inf_email = "ausimods@outbackweb.net";
$inf_web = "http://www.ausimods.com";
$inf_description = "Complete banner system. Full administration control and client area.";

// Infusion Paths
// inf_folder : The folder in which the infusion resides e.g. "new_infusion";
// inf_admin : The name of the Admin Panel (if required) e.g. "new_infusion_admin.php";
$inf_folder = "banner_panel";
$inf_admin = "banner_admin.php";

// If any of the following items are not required, you can delete the entire
// line, or ideally set the parameter to ""; i.e. leave it blank.

// Infusion Links : Adds a link to Site Links (if required).

//this link must be added manually to the user_info panel
//$inf_link_name = "";
//$inf_link_url = "";

// Database table commands are stored in an array, the first table, or a single
// table must always be in array [0].

// Database Table information : Create database tables.
$inf_create_tables[0] = 
	"CREATE TABLE ".$fusion_prefix."banner(
bid int( 11 ) NOT NULL AUTO_INCREMENT ,
cid int( 11 ) NOT NULL default '0',
imptotal int( 11 ) NOT NULL default '0',
impmade int( 11 ) NOT NULL default '0',
clicks int( 11 ) NOT NULL default '0',
imageurl varchar( 100 ) NOT NULL default '',
clickurl varchar( 200 ) NOT NULL default '',
date datetime default NULL ,
PRIMARY KEY ( bid )
) TYPE = MYISAM ;";
$inf_create_tables[1] = 
	"CREATE TABLE ".$fusion_prefix."bannerfinish(
bid int( 11 ) NOT NULL AUTO_INCREMENT ,
cid int( 11 ) NOT NULL default '0',
impressions int( 11 ) NOT NULL default '0',
clicks int( 11 ) NOT NULL default '0',
datestart datetime default NULL ,
dateend datetime default NULL ,
PRIMARY KEY ( bid )
) TYPE = MYISAM ;";
$inf_create_tables[2] = 
	"INSERT INTO ".$fusion_prefix."banner VALUES (1, 1, 0, 0, 0, 'http://www.outbackweb.net/koalahost_banner.gif', 'http://www.outbackweb.net/koala_redirect.php', NOW( ));";

$inf_create_tables[3] = 
	"ALTER TABLE ".$fusion_prefix."settings ADD banner_width INT( 3 ) DEFAULT '468' NOT NULL , ADD banner_height TINYINT( 2 ) DEFAULT '60' NOT NULL ;";

// Database Table Drop Command : Drop tables if infusion is uninstalled.
$inf_drop_tables[0] = "DROP TABLE IF EXISTS ".$fusion_prefix."banner";
$inf_drop_tables[1] = "DROP TABLE IF EXISTS ".$fusion_prefix."bannerfinish";
$inf_drop_tables[2] = "ALTER TABLE ".$fusion_prefix."settings  DROP banner_width,  DROP banner_height;";
// If infusion is a newer version alter tables.
$inf_upgrade_alter_tables[0] = "";
?>